org.apache.poi.hwmf.record

## Enum HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode

- java.lang.Object
- - java.lang.Enum<HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode>
  - - org.apache.poi.hwmf.record.HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode>
  Enclosing class:
    HwmfFill.WmfSetPolyfillMode

      public static enum HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode
      extends java.lang.Enum<HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode>

  A 16-bit unsigned integer that defines polygon fill mode. This MUST be one of the values: ALTERNATE = 0x0001, WINDING = 0x0002

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALTERNATE` Selects alternate mode (fills the area between odd-numbered and even-numbered polygon sides on each scan line).
    `WINDING` Selects winding mode (fills any region with a nonzero winding value).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `awtFlag`
    `int` | `wmfFlag`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode` | `valueOf(int wmfFlag)`
    `static HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALTERNATE

          public static final HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode ALTERNATE

      Selects alternate mode (fills the area between odd-numbered and even-numbered polygon sides on each scan line).

    - #### WINDING

          public static final HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode WINDING

      Selects winding mode (fills any region with a nonzero winding value).

  - ### Field Detail

    - #### wmfFlag

          public final int wmfFlag

    - #### awtFlag

          public final int awtFlag

  - ### Method Detail

    - #### values

          public static HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode c : HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HwmfFill.WmfSetPolyfillMode.HwmfPolyfillMode valueOf(int wmfFlag)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.